Page MenuHomePhabricator

One running instance of the dashboard app should be able to handle all wikis/languages
Closed, ResolvedPublic

Description

We might have a "superwall" of all courses, we might filter by the current interface language, the UI needs to be worked out.

But we can't run an instance of the app for each language, we need to share the resources.

Event Timeline

awight created this task.Mar 23 2015, 7:15 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: dduvall, Ragesoss, AndyRussG and 3 others.
Abit awarded a token.Jul 31 2015, 6:34 PM

This task is not well specified, it overlaps with others.

Restricted Application added subscribers: StudiesWorld, Base. · View Herald TranscriptFeb 11 2016, 8:07 PM
AndyRussG renamed this task from One running instance of the dashboard app should be able to handle all languages to [Eipic] One running instance of the dashboard app should be able to handle all languages.Feb 16 2016, 10:33 PM
AndyRussG renamed this task from [Eipic] One running instance of the dashboard app should be able to handle all languages to [Epic] One running instance of the dashboard app should be able to handle all languages.
AndyRussG set Security to None.
AndyRussG renamed this task from [Epic] One running instance of the dashboard app should be able to handle all languages to [Epic] One running instance of the dashboard app should be able to handle all languages/wikis.Feb 17 2016, 12:03 AM
AndyRussG renamed this task from [Epic] One running instance of the dashboard app should be able to handle all languages/wikis to [Epic] One running instance of the dashboard app should be able to handle all wikis/languages.
dduvall renamed this task from [Epic] One running instance of the dashboard app should be able to handle all wikis/languages to [tracking] One running instance of the dashboard app should be able to handle all wikis/languages.Feb 18 2016, 7:36 PM
dduvall triaged this task as Medium priority.
Danny_B renamed this task from [tracking] One running instance of the dashboard app should be able to handle all wikis/languages to One running instance of the dashboard app should be able to handle all wikis/languages (tracking).May 27 2016, 5:45 PM
Ragesoss closed this task as Resolved.Jun 13 2016, 7:00 PM
Ragesoss claimed this task.

This one instance is up and running, so I think we can call this good. We'll open specific issues for when we start to hit specific scale problems around the interface and backend.

Phabricator_maintenance renamed this task from One running instance of the dashboard app should be able to handle all wikis/languages (tracking) to One running instance of the dashboard app should be able to handle all wikis/languages.Aug 13 2016, 9:46 PM